Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.jca
Interface JcaConstants

    public interface JcaConstants

Field Summary
`static java.lang.String` | `ATTRIBUTE_ADAPTER` The adapter attribute for the JCA gateway/listener
`static java.lang.String` | `ATTRIBUTE_ENDPOINT_CLASS` The endpoint class attribute for the JCA gateway/listener.
`static java.lang.String` | `ATTRIBUTE_JCA_BRIDGE` The JCA bridge attribute for the JCA gateway/listener.
`static java.lang.String` | `ATTRIBUTE_LISTENER_COMPOSER_CLASS` The listener composer class attribute for the JCA listener.
`static java.lang.String` | `ATTRIBUTE_MESSAGING_TYPE` The messaging type attribute for the JCA gateway/listener.
`static java.lang.String` | `ATTRIBUTE_NAME` The name of the name attribute for the JCA gateway/listener.
`static java.lang.String` | `ATTRIBUTE_TRANSACTED` The transacted attribute for the JCA gateway/listener.
`static java.lang.String` | `ATTRIBUTE_VALUE` The name of the value attribute for the JCA gateway/listener.
`static java.lang.String` | `ELEMENT_ACTIVATION_CONFIG` The name of the activation config element for the JCA gateway/listener.
`static java.lang.String` | `ELEMENT_PROPERTY` The name of the property element for the JCA gateway/listener.

Field Detail

### ATTRIBUTE_ADAPTER

    static final java.lang.String ATTRIBUTE_ADAPTER

  The adapter attribute for the JCA gateway/listener

  See Also:
    Constant Field Values

### ATTRIBUTE_ENDPOINT_CLASS

    static final java.lang.String ATTRIBUTE_ENDPOINT_CLASS

  The endpoint class attribute for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ATTRIBUTE_MESSAGING_TYPE

    static final java.lang.String ATTRIBUTE_MESSAGING_TYPE

  The messaging type attribute for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ATTRIBUTE_JCA_BRIDGE

    static final java.lang.String ATTRIBUTE_JCA_BRIDGE

  The JCA bridge attribute for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ATTRIBUTE_TRANSACTED

    static final java.lang.String ATTRIBUTE_TRANSACTED

  The transacted attribute for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ATTRIBUTE_LISTENER_COMPOSER_CLASS

    static final java.lang.String ATTRIBUTE_LISTENER_COMPOSER_CLASS

  The listener composer class attribute for the JCA listener.

  See Also:
    Constant Field Values

### ELEMENT_ACTIVATION_CONFIG

    static final java.lang.String ELEMENT_ACTIVATION_CONFIG

  The name of the activation config element for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ELEMENT_PROPERTY

    static final java.lang.String ELEMENT_PROPERTY

  The name of the property element for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ATTRIBUTE_VALUE

    static final java.lang.String ATTRIBUTE_VALUE

  The name of the value attribute for the JCA gateway/listener.

  See Also:
    Constant Field Values

### ATTRIBUTE_NAME

    static final java.lang.String ATTRIBUTE_NAME

  The name of the name attribute for the JCA gateway/listener.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD